
Foreman - Bug #7774

Changing OS should trigger TFTP redeployment

10/02/2014 09:01 AM - Lukas Zapletal

Status: New   

Priority: Low   

Assignee:    

Category: Host creation   

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When in build mode, TFTP files have been deployed and we should prevent from changing MAC address from the UI/CLI with error

message

Cannot edit MAC when in build mode.

 After build mode is cancelled, TFTP files are deleted and then MAC addresses can be changed.

Otherwise proxy would leave some garbage menus what could cause issues in future. This is trivial change I guess (a validator).

Related issues:

Related to Foreman - Feature #4006: Re-perform orchestration steps for a host Duplicate 01/13/2014

Related to Foreman - Feature #2267: Need rake task and/or UI button for rebui... Closed 03/01/2013

History

#1 - 10/03/2014 06:05 AM - Lukas Zapletal

Note: The same applies for OS. We should not allow users to change OS when in build mode.

#2 - 10/03/2014 06:08 AM - Dominic Cleal

- Related to Feature #4006: Re-perform orchestration steps for a host added

#3 - 10/03/2014 06:08 AM - Dominic Cleal

- Related to Feature #2267: Need rake task and/or UI button for rebuilding all host tftp config files added

#4 - 10/03/2014 06:09 AM - Dominic Cleal

This is actually meant to work, you might want to dig further into it.  Maybe the orchestration isn't being triggered on some code path.

https://github.com/theforeman/foreman/blob/develop/app/models/concerns/orchestration/tftp.rb#L100-L118

#5 - 10/03/2014 09:03 AM - Lukas Zapletal

- Priority changed from Normal to Low

Ok I haven't tested this, was just an idea while I was reading the code.

I see there might still be issue when changing OS (from PXELinux flavor to something like PXGGrub).

#6 - 10/03/2014 09:06 AM - Lukas Zapletal

- Subject changed from Editing of MAC addresses should be disabled during build mode to Changing OS should trigger TFTP redeployment
